Name: ustreamer
Version: 6.35
Release: 1%{?dist}.27
Summary: Lightweight and fast MJPG-HTTP streamer
License: GPLv3+
URL: https://github.com/pikvm/ustreamer
Source: https://github.com/pikvm/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0: ustreamer-python3.9-compat.patch
BuildRequires: gcc
BuildRequires: glibc-devel
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libevent)
BuildRequires: pkgconfig(libevent_pthreads)
BuildRequires: pkgconfig(libbsd)
BuildRequires: pkgconfig(libgpiod)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(python)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(build)
BuildRequires: python3dist(wheel)
BuildRequires: python3dist(pip)
BuildRequires: libatomic

%description
µStreamer is a lightweight and very quick server to stream MJPG video
from any V4L2 device to the net.

All new browsers have native support of this video format,
as well as most video players such as mplayer, VLC etc.

µStreamer is a part of the Pi-KVM project designed to stream VGA and HDMI
screencast hardware data with the highest resolution and FPS possible.


%prep
%autosetup -p1

%build
%make_build \
    CFLAGS='%{?build_cflags}' \
    LDFLAGS='%{?build_ldflags}' \
    WITH_GPIO=1 \
    WITH_SYSTEMD=1 \
    WITH_PYTHON=1

%install
%make_install 'PREFIX=%{_prefix}' WITH_PYTHON=1

%files
%license LICENSE
%doc README.md
%{_bindir}/ustreamer
%{_bindir}/ustreamer-dump
%{_mandir}/man1/ustreamer.1*
%{_mandir}/man1/ustreamer-dump.1*

%package -n python3-%{name}
Summary: Python 3 bindings for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 bindings for %{name}.

%files -n python3-%{name}
%{python3_sitearch}/%{name}*
%changelog
* Tue Mar 11 2025 Oleg Girko <ol@infoserver.lv> - 6.35-1
- Update to 6.35
- Use %%autosetup to apply patches automatically
- Add patch for Python 3.9 compatibility
* Fri Mar 15 2024 Oleg Girko <ol@infoserver.lv> - 6.2-1
- Update to 6.2
- Build with Python
* Sun Aug 28 2022 Oleg Girko <ol@infoserver.lv> - 5.21-1
- Update to 5.21
- Build with systemd and libgpiod support
* Mon Sep 28 2020 Oleg Girko <ol@infoserver.lv> - 2.1-1
- Update to 2.1
* Fri Sep 25 2020 Oleg Girko <ol@infoserver.lv> - 2.0-1
- Update to 2.0
* Tue Sep  1 2020 Oleg Girko <ol@infoserver.lv> - 1.25-1
- Update to 1.25
* Tue Aug 25 2020 Oleg Girko <ol@infoserver.lv> - 1.23-1
- Update to 1.23
* Wed Aug 19 2020 Oleg Girko <ol@infoserver.lv> - 1.22-1
- Update to 1.22
* Tue Aug 18 2020 Oleg Girko <ol@infoserver.lv> - 1.21-1
- Initial import
